Retrieve MaterialRates of a Project
curl --request GET \
--url https://api.tread-horizon.com/v1/projects/{project-id}/material_rates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/projects/{project-id}/material_rates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/projects/{project-id}/material_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buy_price": "<string>",
"sell_price": "<string>",
"unit_of_measure": "Load",
"material": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"po_job_number": "<string>",
"internal_notes": "<string>",
"job_notes": "<string>",
"notes": "<string>",
"order_notes": "<string>"
},
"site": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"lat": "<string>",
"lon": "<string>",
"full_address": "<string>",
"routable": true,
"discarded_at": "2023-11-07T05:31:56Z",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"next_billion_geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123
},
"moving_geofence": false
}
},
"customer_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"account_types": [
"customer"
],
"external_id": "<string>",
"accounting_id": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule_on": true,
"billing_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"billing_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
}
}
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}MaterialRates
Retrieve MaterialRates of a Project
Retrieve MaterialRates of a Project.
GET
/
v1
/
projects
/
{project-id}
/
material_rates
Retrieve MaterialRates of a Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Project ID
Query Parameters
The maximum number of paginated results to return
Required range:
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Response
OK
Show child attributes
Show child attributes
⌘I